import Parameters from './Parameters';
export default class Hook {
    protected PARAMETERS: Parameters | undefined;
    protected TEXT: string | undefined;
    protected NAME: string | undefined;
    getParameters(): Parameters | undefined;
    getText(): string | undefined;
    getName(): string | undefined;
    setParameters(value: Parameters): void;
    setText(value: string): void;
    setName(value: string): void;
}
